# WOK
TKWOK
WOKBuilder

# WOKBuilder_Library Class Reference

`#include <WOKBuilder_Library.hxx>`

Inheritance diagram for WOKBuilder_Library:

[legend]

## Public Member Functions

Standard_EXPORT void | SetReferenceType (const WOKBuilder_LibReferenceType atype)
Standard_EXPORT WOKBuilder_LibReferenceType | ReferenceType () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetDirectory (const Handle(WOKUtils_Path)&adir)
Standard_EXPORT Handle_WOKUtils_Path | Directory () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | GetLibFileName (const WOKUtils_Param &params)=0
| Gets the file name of Library .
Standard_EXPORT void | GetPath (const WOKUtils_Param &params)
| Sets the path of Library .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_Library (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT | WOKBuilder_Library (const Handle(TCollection_HAsciiString)&aname, const Handle(WOKUtils_Path)&adir, const WOKBuilder_LibReferenceType areftype)

## Private Attributes

WOKBuilder_LibReferenceType | myreftype
Handle_WOKUtils_Path | mydir
Handle_TCollection_HAsciiString | myname

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Library::WOKBuilder_Library | ( | const Handle(WOKUtils_Path)& | apath | ) | `[protected]`

Standard_EXPORT WOKBuilder_Library::WOKBuilder_Library | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const Handle(WOKUtils_Path)& | adir,
|  | const WOKBuilder_LibReferenceType | areftype
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_WOKUtils_Path WOKBuilder_Library::Directory | ( |  | ) | const

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Library::GetLibFileName | ( | const WOKUtils_Param & | params | ) | `[pure virtual]`

| Implemented in WOKBuilder_ArchiveLibrary, WOKBuilder_ExportLibrary, WOKBuilder_ImportLibrary, WOKBuilder_ManifestLibrary, WOKBuilder_SharedLibrary, and WOKBuilder_StaticLibrary.

Standard_EXPORT void WOKBuilder_Library::GetPath | ( | const WOKUtils_Param & | params | ) |

Standard_EXPORT const WOKBuilder_Library::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_Entity. Reimplemented in WOKBuilder_ArchiveLibrary, WOKBuilder_ExportLibrary, WOKBuilder_ImportLibrary, WOKBuilder_ManifestLibrary, WOKBuilder_SharedLibrary, and WOKBuilder_StaticLibrary.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Library::Name | ( |  | ) | const

Standard_EXPORT WOKBuilder_LibReferenceType WOKBuilder_Library::ReferenceType | ( |  | ) | const

Standard_EXPORT void WOKBuilder_Library::SetDirectory | ( | const Handle(WOKUtils_Path)& | adir | ) |

Standard_EXPORT void WOKBuilder_Library::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKBuilder_Library::SetReferenceType | ( | const WOKBuilder_LibReferenceType | atype | ) |

## Field Documentation

Handle_WOKUtils_Path WOKBuilder_Library::mydir `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Library::myname `[private]`

WOKBuilder_LibReferenceType WOKBuilder_Library::myreftype `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_Library.hxx